<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>Education/study</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_employes::sidebar_employes" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <span><i class="fa fa-book" style="color: #9B7536"></i> Education Of : </span>
                    <span th:text="${employes.fullName}"></span>
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p th:text="${success}">Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p th:text="${gagal}">Data Berhasil Disimpan.</p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p>
                        <a
                                class="link-primary"
                                th:href="@{/masterdata/employes/pendidikan/new(employes=${employes.id})}"
                                role="button"
                        >Click Here</a
                        >
                        for add education history.
                    </p>
                </div>
                <div class="col-md-6" align="right"></div>
            </div>
            <div class="row">
                <div class="col-md-8">
<!--                    Show entries <span sd:page-size-selector="javascript"></span>-->
                </div>

                <div class="col-md-4" align="right">
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" th:value="${search}" name="search" placeholder="Search" aria-label="Recipient's username" aria-describedby="button-addon2">
                        <button class="btn btn-outline-secondary" type="button" id="button-addon2"><i class="fa fa-search"></i></button>
                    </div>

                </div>
            </div>
        </form>


        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead>

                        <tr>
                            <th class="border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Level</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Institution</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">In</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Out</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Status</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Degree</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col">Transkript</th>
                            <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                            <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody class="align-middle">
                        <tr th:each="dataEmployeePendidikan,row : ${listRiwayatPendidikan}">
                            <td class="border-0 border-bottom text-end" th:text="${(row.index + 1)}">1.</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeePendidikan.jenjangPendidikan.kodePendidikan}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeePendidikan.namaInstitusi}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeePendidikan.tahunMasuk}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeePendidikan.tahunLulus}">BEASISWA</td>
                            <td class="border-0 border-bottom" th:text="${dataEmployeePendidikan.statusLulus}">BEASISWA</td>
                            <td class="border-0 border-bottom">
                                <a th:if="${dataEmployeePendidikan.fileIjasah} == 'default.jpg'" class="btn btn-outline-danger btn-sm small">
                                    No Attachment
                                </a>
                                <a th:if="${dataEmployeePendidikan.fileIjasah} != 'default.jpg'" class="btn btn-outline-success btn-sm small" th:href="@{/masterdata/employes/pendidikan/{employeeRiwayatPendidikan}/ijasah/(employeeRiwayatPendidikan = ${dataEmployeePendidikan.id})}" target="_blank">
                                    View Attachment
                                </a>
                            </td>
                            <td class="border-0 border-bottom">
                                <a th:if="${dataEmployeePendidikan.fileTranskrip} == 'default.jpg'" class="btn btn-outline-danger btn-sm small">
                                    No Attachment
                                </a>
                                <a th:if="${dataEmployeePendidikan.fileTranskrip} != 'default.jpg'" class="btn btn-outline-success btn-sm small" th:href="@{/masterdata/employes/pendidikan/{employeeRiwayatPendidikan}/transkript/(employeeRiwayatPendidikan = ${dataEmployeePendidikan.id})}" target="_blank">
                                    View Attachment
                                </a>
                            </td>
                            <td class="border-0 border-bottom">
                                <a th:href="@{/masterdata/employes/pendidikan/edit(employeeRiwayatPendidikan=${dataEmployeePendidikan.id})}" class="btn btn-sm small btn-primary">Edit</a>
                            </td>
                            <td class="border-0 border-bottom">
                                <form method="post" th:action="@{/masterdata/employes/pendidikan/delete(employeeRiwayatPendidikan=${dataEmployeePendidikan.id})}">
                                    <button type="submit" class="btn btn-danger btn-sm small"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br />
            </div>
        </div>

    </main>


</main>
</body>
</html>